## dbm_shm_info

### Use

You display information about the shared memory of the Database Manager.

See also:

Glossary, Shared Memory

### Prerequisites

You have the server authorization SharedMemoryAdmin.

### Syntax

dbm_shm_info

### Reply

OK

VERSION

Required <version_no>

Found <version_no>

LOCKING

Lock <status>

Reserve lock <status>

Locking process <pid>

PROCESSES

<pid> <state>

<pid> <state>

<pid> <state>

...

[PERSISTENCE

<error_message>]

Values for the Reply Fields

Field | Description
Required <version_no> | Version of the shared memory that the system expects
Found <version_no> | Actual version of the shared memory
Lock <status> Reserve lock <status> | Lock status; possible values are: LOCKED UNLOCKED
Locking process <pid> | ID of the locking process
<state> | Process status. Possible values are: ALIVE: the process is working DEAD: the process is not in the operating system’s process list UNKNOWN: cannot be determined
<error_message> | Message text